---
id: ci-application-read
title: Retrieve metadata for applications
description: Retrieve metadata for applications based on specified query parameters.
sidebar_label: Retrieve metadata for applications
hide_title: true
hide_table_of_contents: true
api: >-
  eJytVd9P2zAQ/lese86awt7yhtiYmIY0QdEeqqpyk0tjSGxjX4Aqyv8+nZOSUKq2Q3tq7Zzv++67Xw1k6FOnLCmjIYFbJKfwGUWFJDNJUuTGCWltqVLJNl6spMdMGC28xVTlCjPxVKPbCCudrJDQ+QlEQHLtIZnD5XV8+Q0WERiLLri4ziCBVC1HXhOHMoMIBheQzBvQskJIwKE1XpFxm2XtSohAMdUACtFOAPe3v4TJBRUoUpOhGN4yKZ8WWElIGqCNZdeenNJraNtoH5q0dmklFYchf0sqxIuiQul9uIJMuB6FeyoVX9brw9h3Zb0WKkNNnAkXsvVPYIsIHHprtEfP38+nU/55j3IxeBsKw/Wlkglfpyl6n9dlGVROjSbUxH5GPOIHz86aj2Skc5JDU4SVH92b1QOmxGXhuHhIdRRVNrJRmnCN7oMwswJFrdVTjeL627YidlTBV1nZEiE5O//aRr3ouxLtc8yWx3zC/MZow2WwEFcuKJJBG3U5PQnF7+T2GGDV433JR3BcjMuhGI+ryx12Er3DnTbQKoisT+J4raioV5PUVLGuy9KWknLjqvgFV14RMtlRaF3fnUTEfqr/BoLSWh8PmrVtGwEpCt9GlX/TF36wYBuPae0UbcKoWqF06C5qJj1fcFtVSIXhUbfGoHKIB+IRDW5MdM/baReUf5MrVZOxTKwbsNst6h13UZeyMfabYOxn2/l87owg6v9cGVdJggR+/pnxzAGlcxOe95F3czsCptdpfTaZTqacJms8VTL0cj+ojq+N3cw1w5T4n0uni53wlWJbSqWZbl/RXQLm4yLjtVQYT3zdNIxx78q25etu3HJaMuXlqsQMklyWHg/Ecbgj9nJ7xM2+Bfcsy5qNgZfB6QQ+t4lOIzbahZ9kd+KuOkCn34cD/oIPTjGB0HYRFCgzdCFx3ZuLNEVLo1cfVtK7Zv3xfQYRyPe9tNM7wft2d+nNyHfTdBYz84i6bWFLnPgM7aJt278JL010
sidebar_class_name: get api-method
info_path: docs/api/ci-cd
custom_edit_url: null
canonical: 'https://docs.nullplatform.com/docs/api/ci-application-read'
---
<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Retrieve metadata for applications"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/application"}
  context={"endpoint"}
>

</MethodEndpoint>

Retrieve metadata for applications based on specified query parameters.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"name":"repository_url","in":"query","description":"URL of the code repository.","schema":{"type":"string"}},{"name":"repository_app_path","in":"query","description":"Path within the code repository to the application.","schema":{"type":"string"}},{"name":"slug","in":"query","description":"Slug identifier for the application.","schema":{"type":"string"}}]}
>

</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>

</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"Application metadata retrieved successfully.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"The unique ID of the application.","example":123},"name":{"type":"string","description":"The name of the application.","example":"[Monorepo] Frontend"},"slug":{"type":"string","description":"The slug identifier of the application.","example":"monorepo-frontend"},"code_repository":{"type":"object","properties":{"url":{"type":"string","description":"The URL of the code repository.","example":"https://github.com/nullplatform/website"},"application_path":{"type":"string","description":"The path within the code repository to the application.","example":"apps/frontend"}}}},"title":"ApplicationMetadata"}}}}}}}
>

</StatusCodes>

